
\section{Listings Example}
\label{listings_example}

% I always used separate files but one can also paste the code directly into the listing
\lstinputlisting[language=C, caption={Doubling functions in C}, label={lst:doubling_functions_in_c}]{code/Example.c}